## kwallet-kf5 5.98.0

=== debian/changelog ===
kwallet-kf5 (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:33:53 +0100

kwallet-kf5 (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)
  * New build depend on libqca-qt5-2-dev
  * Disable build time tests.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:06:14 +0100

kwallet-kf5 (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:31:55 +0100

kwallet-kf5 (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:57:45 +0100

kwallet-kf5 (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:21:30 +0100

kwallet-kf5 (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:24:52 +0100

=== debian/control ===
Source: kwallet-kf5
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.98.0~),
               libgcrypt20-dev (>= 1.5.0~),
               libgpgme-dev | libgpgme11-dev,
               libgpgmepp-dev (>= 1.7.0~) | libgpgmepp6-dev,
               libgpgmepp-dev (>= 1.7.0~) | libqgpgme7-dev,
               libkf5config-dev (>= 5.98.0~),
               libkf5configwidgets-dev (>= 5.98.0~),
               libkf5coreaddons-dev (>= 5.98.0~),
               libkf5dbusaddons-dev (>= 5.98.0~),
               libkf5doctools-dev (>= 5.98.0~),
               libkf5i18n-dev (>= 5.98.0~),
               libkf5notifications-dev (>= 5.98.0~),
               libkf5service-dev (>= 5.98.0~),
               libkf5widgetsaddons-dev (>= 5.98.0~),
               libkf5windowsystem-dev (>= 5.98.0~),
               libqca-qt5-2-dev,
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kwallet
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet
Rules-Requires-Root: no

Package: libkf5wallet-bin
Architecture: any
Depends: libkf5wallet-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kio (<< 5.54),
        libkf5khtml5 (<< 5.54),
        libkf5wallet5 (<< 4.100.0),
        libkf5webkit5 (<< 5.54),
Replaces: libkf5wallet5 (<< 4.100.0)
Description: Secure and unified container for user passwords.
 Runtime for interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains the runtime files for kwallet-framework

Package: libkf5wallet-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5wallet-bin (<< 5.41), libkf5wallet5 (<< 5.10)
Replaces: libkf5wallet-bin (<< 5.41), libkf5wallet5 (<< 5.10)
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains the translation files for kwallet-framework

Package: libkf5wallet-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5config-dev (>= 5.98.0~),
         libkf5wallet5 (= ${binary:Version}),
         libkf5windowsystem-dev (>= 5.98.0~),
         libkwalletbackend5-5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5wallet-doc (= ${source:Version})
Description: development files for kwallet-framework
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains development files for kwallet-framework.
Breaks: libkf5kdelibs4support-dev (<< 5.54), libkf5khtml-dev (<< 5.54)

Package: libkf5wallet-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5wallet5
Architecture: any
Depends: libkf5wallet-data (= ${source:Version}),
         libkwalletbackend5-5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
Breaks: kio (<< 5.54), libkf5khtml5 (<< 5.54), libkf5webkit5 (<< 5.54)

Package: libkwalletbackend5-5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Secure and unified container for user passwords.
 Backend to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.

## kwallet-kf5 5.100.0

=== debian/changelog ===
kwallet-kf5 (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0). (Closes: #1018909)
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:04 +0100

kwallet-kf5 (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0). (Closes: #1012529)
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:47 +0200

kwallet-kf5 (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0). (Closes: #910782)
  * Add build dependency to libqca-qt5-2-plugins for unit tests.
  * Update symbols from build for 5.97.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:38 +0200

kwallet-kf5 (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:07 +0200

kwallet-kf5 (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:06 +0200

kwallet-kf5 (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:47 +0200

kwallet-kf5 (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update list of installed files.
  * Add lintian override for libkf5wallet5 recommending libkf5wallet-bin.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,37 +1,38 @@
 Source: kwallet-kf5
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.98.0~),
+               extra-cmake-modules (>= 5.100.0~),
                libgcrypt20-dev (>= 1.5.0~),
                libgpgme-dev | libgpgme11-dev,
                libgpgmepp-dev (>= 1.7.0~) | libgpgmepp6-dev,
                libgpgmepp-dev (>= 1.7.0~) | libqgpgme7-dev,
-               libkf5config-dev (>= 5.98.0~),
-               libkf5configwidgets-dev (>= 5.98.0~),
-               libkf5coreaddons-dev (>= 5.98.0~),
-               libkf5dbusaddons-dev (>= 5.98.0~),
-               libkf5doctools-dev (>= 5.98.0~),
-               libkf5i18n-dev (>= 5.98.0~),
-               libkf5notifications-dev (>= 5.98.0~),
-               libkf5service-dev (>= 5.98.0~),
-               libkf5widgetsaddons-dev (>= 5.98.0~),
-               libkf5windowsystem-dev (>= 5.98.0~),
-               libqca-qt5-2-dev,
+               libkf5config-dev (>= 5.100.0~),
+               libkf5configwidgets-dev (>= 5.100.0~),
+               libkf5coreaddons-dev (>= 5.100.0~),
+               libkf5dbusaddons-dev (>= 5.100.0~),
+               libkf5doctools-dev (>= 5.100.0~),
+               libkf5i18n-dev (>= 5.100.0~),
+               libkf5notifications-dev (>= 5.100.0~),
+               libkf5service-dev (>= 5.100.0~),
+               libkf5widgetsaddons-dev (>= 5.100.0~),
+               libkf5windowsystem-dev (>= 5.100.0~),
+               libqca-qt5-2-dev (>= 2.3.1~),
+               libqca-qt5-2-plugins <!nocheck>,
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/frameworks/kwallet
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwallet
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwallet.git
 Rules-Requires-Root: no
 
 Package: libkf5wallet-bin
@@ -66,9 +67,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5config-dev (>= 5.98.0~),
+Depends: libkf5config-dev (>= 5.100.0~),
          libkf5wallet5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.98.0~),
+         libkf5windowsystem-dev (>= 5.100.0~),
          libkwalletbackend5-5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

## kwallet-kf5 5.101.0

=== debian/changelog ===
kwallet-kf5 (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:33 +0100

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,21 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.100.0~),
+               extra-cmake-modules (>= 5.101.0~),
                libgcrypt20-dev (>= 1.5.0~),
                libgpgme-dev | libgpgme11-dev,
                libgpgmepp-dev (>= 1.7.0~) | libgpgmepp6-dev,
                libgpgmepp-dev (>= 1.7.0~) | libqgpgme7-dev,
-               libkf5config-dev (>= 5.100.0~),
-               libkf5configwidgets-dev (>= 5.100.0~),
-               libkf5coreaddons-dev (>= 5.100.0~),
-               libkf5dbusaddons-dev (>= 5.100.0~),
-               libkf5doctools-dev (>= 5.100.0~),
-               libkf5i18n-dev (>= 5.100.0~),
-               libkf5notifications-dev (>= 5.100.0~),
-               libkf5service-dev (>= 5.100.0~),
-               libkf5widgetsaddons-dev (>= 5.100.0~),
-               libkf5windowsystem-dev (>= 5.100.0~),
+               libkf5config-dev (>= 5.101.0~),
+               libkf5configwidgets-dev (>= 5.101.0~),
+               libkf5coreaddons-dev (>= 5.101.0~),
+               libkf5dbusaddons-dev (>= 5.101.0~),
+               libkf5doctools-dev (>= 5.101.0~),
+               libkf5i18n-dev (>= 5.101.0~),
+               libkf5notifications-dev (>= 5.101.0~),
+               libkf5service-dev (>= 5.101.0~),
+               libkf5widgetsaddons-dev (>= 5.101.0~),
+               libkf5windowsystem-dev (>= 5.101.0~),
                libqca-qt5-2-dev (>= 2.3.1~),
                libqca-qt5-2-plugins <!nocheck>,
                libqt5sql5-sqlite,
@@ -67,9 +67,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5config-dev (>= 5.100.0~),
+Depends: libkf5config-dev (>= 5.101.0~),
          libkf5wallet5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.100.0~),
+         libkf5windowsystem-dev (>= 5.101.0~),
          libkwalletbackend5-5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

## kwallet-kf5 5.102.0

=== debian/changelog ===
kwallet-kf5 (5.102.0-1+rpi1) bookworm-staging; urgency=medium

  [changes brought forward from 5.46.0-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 02 Jun 2018 23:58:11 +0000]
  * Update symbols file for Raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Thu, 02 Feb 2023 02:25:39 +0000

kwallet-kf5 (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:08 +0100

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,21 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.101.0~),
+               extra-cmake-modules (>= 5.102.0~),
                libgcrypt20-dev (>= 1.5.0~),
                libgpgme-dev | libgpgme11-dev,
                libgpgmepp-dev (>= 1.7.0~) | libgpgmepp6-dev,
                libgpgmepp-dev (>= 1.7.0~) | libqgpgme7-dev,
-               libkf5config-dev (>= 5.101.0~),
-               libkf5configwidgets-dev (>= 5.101.0~),
-               libkf5coreaddons-dev (>= 5.101.0~),
-               libkf5dbusaddons-dev (>= 5.101.0~),
-               libkf5doctools-dev (>= 5.101.0~),
-               libkf5i18n-dev (>= 5.101.0~),
-               libkf5notifications-dev (>= 5.101.0~),
-               libkf5service-dev (>= 5.101.0~),
-               libkf5widgetsaddons-dev (>= 5.101.0~),
-               libkf5windowsystem-dev (>= 5.101.0~),
+               libkf5config-dev (>= 5.102.0~),
+               libkf5configwidgets-dev (>= 5.102.0~),
+               libkf5coreaddons-dev (>= 5.102.0~),
+               libkf5dbusaddons-dev (>= 5.102.0~),
+               libkf5doctools-dev (>= 5.102.0~),
+               libkf5i18n-dev (>= 5.102.0~),
+               libkf5notifications-dev (>= 5.102.0~),
+               libkf5service-dev (>= 5.102.0~),
+               libkf5widgetsaddons-dev (>= 5.102.0~),
+               libkf5windowsystem-dev (>= 5.102.0~),
                libqca-qt5-2-dev (>= 2.3.1~),
                libqca-qt5-2-plugins <!nocheck>,
                libqt5sql5-sqlite,
@@ -29,7 +29,7 @@
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/kwallet
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwallet
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwallet.git
@@ -67,9 +67,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5config-dev (>= 5.101.0~),
+Depends: libkf5config-dev (>= 5.102.0~),
          libkf5wallet5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.101.0~),
+         libkf5windowsystem-dev (>= 5.102.0~),
          libkwalletbackend5-5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

## kwallet-kf5 5.103.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.103.0") # handled by release scripts
set(KF_DEP_VERSION "5.103.0") # handled by release scripts
project(KWallet VERSION ${KF_VERSION})
set(CMAKE_EXPORT_COMPILE_COMMANDS 1)

include(FeatureSummary)
find_package(ECM 5.103.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://invent.kde.org/frameworks/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets DBus)

include(ECMAddQch)
include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMMarkNonGuiExecutable)

option(BUILD_KWALLETD "Build the kwallet daemon" ON)
option(BUILD_KWALLET_QUERY "Build kwallet-query tool" ON)
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF5DocTools ${KF_DEP_VERSION})

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.95
    KSERVICE 5.81 # KToolInvocation::startServiceByDesktopName
)

add_definitions(-DTRANSLATION_DOMAIN=\"kwalletd5\")
ki18n_install(po)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
    add_subdirectory(examples)
endif()
if (KF5DocTools_FOUND)
    add_subdirectory(docs)
endif()

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/api/CMakeLists.txt ===

add_subdirectory(KWallet)

=== debian/changelog ===
kwallet-kf5 (5.103.0-1deepin1) unstable; urgency=medium

  * Disable building of kwalletd and kwallet-query to prepare coinstability with KF6 kwallet.

 -- lichenggang <lichenggang@deepin.org>  Sat, 23 Nov 2024 14:02:44 +0800

kwallet-kf5 (5.103.0-1deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 19 Sep 2024 22:52:37 +0800

kwallet-kf5 (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:30 +0100

=== debian/control ===
Source: kwallet-kf5
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.103.0~),
               libgcrypt20-dev (>= 1.5.0~),
               libgpgme-dev | libgpgme11-dev,
               libgpgmepp-dev (>= 1.7.0~) | libgpgmepp6-dev,
               libgpgmepp-dev (>= 1.7.0~) | libqgpgme7-dev,
               libkf5config-dev (>= 5.103.0~),
               libkf5configwidgets-dev (>= 5.103.0~),
               libkf5coreaddons-dev (>= 5.103.0~),
               libkf5dbusaddons-dev (>= 5.103.0~),
               libkf5doctools-dev (>= 5.103.0~),
               libkf5i18n-dev (>= 5.103.0~),
               libkf5notifications-dev (>= 5.103.0~),
               libkf5service-dev (>= 5.103.0~),
               libkf5widgetsaddons-dev (>= 5.103.0~),
               libkf5windowsystem-dev (>= 5.103.0~),
               libqca-qt5-2-dev (>= 2.3.1~),
               libqca-qt5-2-plugins <!nocheck>,
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kwallet
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwallet
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwallet.git
Rules-Requires-Root: no

Package: libkf5wallet-bin
Section: oldlibs
Architecture: all
Depends: kwallet6, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.


Package: libkf5wallet-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf5wallet-bin (<< 5.41), libkf5wallet5 (<< 5.10),
Replaces: libkf5wallet-bin (<< 5.41), libkf5wallet5 (<< 5.10),
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains the translation files for kwallet-framework

Package: libkf5wallet-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5config-dev (>= 5.103.0~),
         libkf5wallet5 (= ${binary:Version}),
         libkf5windowsystem-dev (>= 5.103.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5wallet-doc (= ${source:Version}),
Description: development files for kwallet-framework
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains development files for kwallet-framework.
Breaks: libkf5kdelibs4support-dev (<< 5.54), libkf5khtml-dev (<< 5.54),

Package: libkf5wallet-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5wallet5
Architecture: any
Depends: libkf5wallet-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
Breaks: kio (<< 5.54), libkf5khtml5 (<< 5.54), libkf5webkit5 (<< 5.54),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_KWALLETD=OFF -DBUILD_KWALLET_QUERY=OFF

## kwallet-kf5 5.104.0

=== debian/changelog ===
kwallet-kf5 (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:00 +0100

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,21 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.103.0~),
+               extra-cmake-modules (>= 5.104.0~),
                libgcrypt20-dev (>= 1.5.0~),
                libgpgme-dev | libgpgme11-dev,
                libgpgmepp-dev (>= 1.7.0~) | libgpgmepp6-dev,
                libgpgmepp-dev (>= 1.7.0~) | libqgpgme7-dev,
-               libkf5config-dev (>= 5.103.0~),
-               libkf5configwidgets-dev (>= 5.103.0~),
-               libkf5coreaddons-dev (>= 5.103.0~),
-               libkf5dbusaddons-dev (>= 5.103.0~),
-               libkf5doctools-dev (>= 5.103.0~),
-               libkf5i18n-dev (>= 5.103.0~),
-               libkf5notifications-dev (>= 5.103.0~),
-               libkf5service-dev (>= 5.103.0~),
-               libkf5widgetsaddons-dev (>= 5.103.0~),
-               libkf5windowsystem-dev (>= 5.103.0~),
+               libkf5config-dev (>= 5.104.0~),
+               libkf5configwidgets-dev (>= 5.104.0~),
+               libkf5coreaddons-dev (>= 5.104.0~),
+               libkf5dbusaddons-dev (>= 5.104.0~),
+               libkf5doctools-dev (>= 5.104.0~),
+               libkf5i18n-dev (>= 5.104.0~),
+               libkf5notifications-dev (>= 5.104.0~),
+               libkf5service-dev (>= 5.104.0~),
+               libkf5widgetsaddons-dev (>= 5.104.0~),
+               libkf5windowsystem-dev (>= 5.104.0~),
                libqca-qt5-2-dev (>= 2.3.1~),
                libqca-qt5-2-plugins <!nocheck>,
                libqt5sql5-sqlite,
@@ -36,12 +36,20 @@
 Rules-Requires-Root: no
 
 Package: libkf5wallet-bin
-Section: oldlibs
-Architecture: all
-Depends: kwallet6, ${misc:Depends}
-Description: transitional dummy package
- This is a transitional dummy package. It can safely be removed.
-
+Architecture: any
+Depends: libkf5wallet-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Breaks: kio (<< 5.54),
+        libkf5khtml5 (<< 5.54),
+        libkf5wallet5 (<< 4.100.0),
+        libkf5webkit5 (<< 5.54),
+Replaces: libkf5wallet5 (<< 4.100.0),
+Description: Secure and unified container for user passwords.
+ Runtime for interface to KWallet, the safe desktop-wide storage
+ for passwords on KDE workspaces.
+ .
+ Contains the runtime files for kwallet-framework
 
 Package: libkf5wallet-data
 Architecture: all
@@ -59,9 +67,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5config-dev (>= 5.103.0~),
+Depends: libkf5config-dev (>= 5.104.0~),
          libkf5wallet5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.103.0~),
+         libkf5windowsystem-dev (>= 5.104.0~),
+         libkwalletbackend5-5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Recommends: libkf5wallet-doc (= ${source:Version}),
@@ -86,6 +95,7 @@
 Package: libkf5wallet5
 Architecture: any
 Depends: libkf5wallet-data (= ${source:Version}),
+         libkwalletbackend5-5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
 Multi-Arch: same
@@ -93,3 +103,11 @@
  Interface to KWallet, the safe desktop-wide storage
  for passwords on KDE workspaces.
 Breaks: kio (<< 5.54), libkf5khtml5 (<< 5.54), libkf5webkit5 (<< 5.54),
+
+Package: libkwalletbackend5-5
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Multi-Arch: same
+Description: Secure and unified container for user passwords.
+ Backend to KWallet, the safe desktop-wide storage
+ for passwords on KDE workspaces.

## kwallet-kf5 5.107.0

=== debian/changelog ===
kwallet-kf5 (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:42 +0200

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,21 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.104.0~),
+               extra-cmake-modules (>= 5.107.0~),
                libgcrypt20-dev (>= 1.5.0~),
                libgpgme-dev | libgpgme11-dev,
                libgpgmepp-dev (>= 1.7.0~) | libgpgmepp6-dev,
                libgpgmepp-dev (>= 1.7.0~) | libqgpgme7-dev,
-               libkf5config-dev (>= 5.104.0~),
-               libkf5configwidgets-dev (>= 5.104.0~),
-               libkf5coreaddons-dev (>= 5.104.0~),
-               libkf5dbusaddons-dev (>= 5.104.0~),
-               libkf5doctools-dev (>= 5.104.0~),
-               libkf5i18n-dev (>= 5.104.0~),
-               libkf5notifications-dev (>= 5.104.0~),
-               libkf5service-dev (>= 5.104.0~),
-               libkf5widgetsaddons-dev (>= 5.104.0~),
-               libkf5windowsystem-dev (>= 5.104.0~),
+               libkf5config-dev (>= 5.107.0~),
+               libkf5configwidgets-dev (>= 5.107.0~),
+               libkf5coreaddons-dev (>= 5.107.0~),
+               libkf5dbusaddons-dev (>= 5.107.0~),
+               libkf5doctools-dev (>= 5.107.0~),
+               libkf5i18n-dev (>= 5.107.0~),
+               libkf5notifications-dev (>= 5.107.0~),
+               libkf5service-dev (>= 5.107.0~),
+               libkf5widgetsaddons-dev (>= 5.107.0~),
+               libkf5windowsystem-dev (>= 5.107.0~),
                libqca-qt5-2-dev (>= 2.3.1~),
                libqca-qt5-2-plugins <!nocheck>,
                libqt5sql5-sqlite,
@@ -67,9 +67,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5config-dev (>= 5.104.0~),
+Depends: libkf5config-dev (>= 5.107.0~),
          libkf5wallet5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.104.0~),
+         libkf5windowsystem-dev (>= 5.107.0~),
          libkwalletbackend5-5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

## kwallet-kf5 5.109.0

=== debian/changelog ===
kwallet-kf5 (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:51:16 +0100

kwallet-kf5 (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:22:44 +0100

kwallet-kf5 (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:07:27 +0100

kwallet-kf5 (5.106.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.106.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols files, remove private missing symbols

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:48:42 +0100

kwallet-kf5 (5.104.0-0ubuntu2) lunar; urgency=medium

  * Fix typo in minimum gpgme build dep version. 1.17.0 -> 1.7.0.

 -- Rik Mills <rikmills@kde.org>  Mon, 13 Mar 2023 21:19:06 +0000

kwallet-kf5 (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:18:32 +0000

kwallet-kf5 (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:45:21 +0000

kwallet-kf5 (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:58:52 +0000

kwallet-kf5 (5.101.0-0ubuntu2) lunar; urgency=medium

  * Drop gpgme build deps back to 1.17.0 as set in CMakeLists.txt

 -- Rik Mills <rikmills@kde.org>  Mon, 12 Dec 2022 21:35:20 +0000

kwallet-kf5 (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:22:32 +0000

kwallet-kf5 (5.100.0-0ubuntu3) lunar; urgency=medium

  * Build now with gpgme1.0 1.8.0 (LP: #1998144)

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 07:46:45 +0000

kwallet-kf5 (5.100.0-0ubuntu2) lunar; urgency=medium

  * For now skip optional gpgmp build deps.

 -- Rik Mills <rikmills@kde.org>  Wed, 16 Nov 2022 19:36:28 +0000

kwallet-kf5 (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)
  * Update build-deps and deps with the info from cmake.

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:16:50 +0000

kwallet-kf5 (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 11:01:06 +0000

=== debian/control ===
Source: kwallet-kf5
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.109.0~),
               libgcrypt20-dev (>= 1.5.0~),
               libgpgme-dev (>= 1.7.0~),
               libgpgmepp-dev (>= 1.7.0~),
               libkf5config-dev (>= 5.109.0~),
               libkf5configwidgets-dev (>= 5.109.0~),
               libkf5coreaddons-dev (>= 5.109.0~),
               libkf5dbusaddons-dev (>= 5.109.0~),
               libkf5doctools-dev (>= 5.109.0~),
               libkf5i18n-dev (>= 5.109.0~),
               libkf5notifications-dev (>= 5.109.0~),
               libkf5service-dev (>= 5.109.0~),
               libkf5widgetsaddons-dev (>= 5.109.0~),
               libkf5windowsystem-dev (>= 5.109.0~),
               libqca-qt5-2-dev (>= 2.3.1~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kwallet
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet
Rules-Requires-Root: no

Package: libkf5wallet-bin
Architecture: any
Depends: libkf5wallet-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kio (<< 5.54),
        libkf5khtml5 (<< 5.54),
        libkf5wallet5 (<< 4.100.0),
        libkf5webkit5 (<< 5.54),
Replaces: libkf5wallet5 (<< 4.100.0)
Description: Secure and unified container for user passwords.
 Runtime for interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains the runtime files for kwallet-framework

Package: libkf5wallet-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5wallet-bin (<< 5.41), libkf5wallet5 (<< 5.10)
Replaces: libkf5wallet-bin (<< 5.41), libkf5wallet5 (<< 5.10)
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains the translation files for kwallet-framework

Package: libkf5wallet-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5config-dev (>= 5.109.0~),
         libkf5wallet5 (= ${binary:Version}),
         libkf5windowsystem-dev (>= 5.109.0~),
         libkwalletbackend5-5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5wallet-doc (= ${source:Version})
Description: development files for kwallet-framework
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains development files for kwallet-framework.
Breaks: libkf5kdelibs4support-dev (<< 5.54), libkf5khtml-dev (<< 5.54)

Package: libkf5wallet-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5wallet5
Architecture: any
Depends: libkf5wallet-data (= ${source:Version}),
         libkwalletbackend5-5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
Breaks: kio (<< 5.54), libkf5khtml5 (<< 5.54), libkf5webkit5 (<< 5.54)

Package: libkwalletbackend5-5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Secure and unified container for user passwords.
 Backend to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.

## kwallet-kf5 5.110.0

=== debian/changelog ===
kwallet-kf5 (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:10:25 +0100

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,20 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
                libgcrypt20-dev (>= 1.5.0~),
                libgpgme-dev (>= 1.7.0~),
                libgpgmepp-dev (>= 1.7.0~),
-               libkf5config-dev (>= 5.109.0~),
-               libkf5configwidgets-dev (>= 5.109.0~),
-               libkf5coreaddons-dev (>= 5.109.0~),
-               libkf5dbusaddons-dev (>= 5.109.0~),
-               libkf5doctools-dev (>= 5.109.0~),
-               libkf5i18n-dev (>= 5.109.0~),
-               libkf5notifications-dev (>= 5.109.0~),
-               libkf5service-dev (>= 5.109.0~),
-               libkf5widgetsaddons-dev (>= 5.109.0~),
-               libkf5windowsystem-dev (>= 5.109.0~),
+               libkf5config-dev (>= 5.110.0~),
+               libkf5configwidgets-dev (>= 5.110.0~),
+               libkf5coreaddons-dev (>= 5.110.0~),
+               libkf5dbusaddons-dev (>= 5.110.0~),
+               libkf5doctools-dev (>= 5.110.0~),
+               libkf5i18n-dev (>= 5.110.0~),
+               libkf5notifications-dev (>= 5.110.0~),
+               libkf5service-dev (>= 5.110.0~),
+               libkf5widgetsaddons-dev (>= 5.110.0~),
+               libkf5windowsystem-dev (>= 5.110.0~),
                libqca-qt5-2-dev (>= 2.3.1~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -65,9 +65,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5config-dev (>= 5.109.0~),
+Depends: libkf5config-dev (>= 5.110.0~),
          libkf5wallet5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.109.0~),
+         libkf5windowsystem-dev (>= 5.110.0~),
          libkwalletbackend5-5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

## kwallet-kf5 5.113.0

=== debian/changelog ===
kwallet-kf5 (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:45:32 +0000

kwallet-kf5 (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:50:28 +0000

kwallet-kf5 (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Nov 2023 00:00:11 +0000

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,20 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.110.0~),
+               extra-cmake-modules (>= 5.113.0~),
                libgcrypt20-dev (>= 1.5.0~),
                libgpgme-dev (>= 1.7.0~),
                libgpgmepp-dev (>= 1.7.0~),
-               libkf5config-dev (>= 5.110.0~),
-               libkf5configwidgets-dev (>= 5.110.0~),
-               libkf5coreaddons-dev (>= 5.110.0~),
-               libkf5dbusaddons-dev (>= 5.110.0~),
-               libkf5doctools-dev (>= 5.110.0~),
-               libkf5i18n-dev (>= 5.110.0~),
-               libkf5notifications-dev (>= 5.110.0~),
-               libkf5service-dev (>= 5.110.0~),
-               libkf5widgetsaddons-dev (>= 5.110.0~),
-               libkf5windowsystem-dev (>= 5.110.0~),
+               libkf5config-dev (>= 5.113.0~),
+               libkf5configwidgets-dev (>= 5.113.0~),
+               libkf5coreaddons-dev (>= 5.113.0~),
+               libkf5dbusaddons-dev (>= 5.113.0~),
+               libkf5doctools-dev (>= 5.113.0~),
+               libkf5i18n-dev (>= 5.113.0~),
+               libkf5notifications-dev (>= 5.113.0~),
+               libkf5service-dev (>= 5.113.0~),
+               libkf5widgetsaddons-dev (>= 5.113.0~),
+               libkf5windowsystem-dev (>= 5.113.0~),
                libqca-qt5-2-dev (>= 2.3.1~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -65,9 +65,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5config-dev (>= 5.110.0~),
+Depends: libkf5config-dev (>= 5.113.0~),
          libkf5wallet5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.110.0~),
+         libkf5windowsystem-dev (>= 5.113.0~),
          libkwalletbackend5-5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
